[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TFileNameEdit.SaveDialogResult

SaveDialogResult - stores the result of the dialog.

## Declaration

Source position: editbtn.pas line 388

`protected procedure TFileNameEdit.SaveDialogResult(`
`AKind: TDialogKind;`
`D: TCommonDialog`
`); virtual;`

## Arguments

`AKind` |  | Dialog type in the D argument.
`D` |  | Dialog examined in the method.

## Description

SaveDialogResult is a procedure used to capture the results from the dialog when it has finished execution. The values are stored in the corresponding properties in the class instance, and depending on the DialogKind, may include:

- FilterIndex
- FileName
- DialogFiles

SaveDialogResult is used in the implementation of the RunDialog method.